Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class ListBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.ListBinder

Direct Known Subclasses:
  ArrayBinder

    public class ListBinder

extends CollectionBinder

Bind a list to the underlying Hibernate configuration

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, inheritanceStatePerClass, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`ListBinder()`

Method Summary
`protected Collection` | `createCollection(PersistentClass persistentClass)`
`SecondPass` | `getSecondPass(Ejb3JoinColumn[] fkJoinColumns, Ejb3JoinColumn[] keyColumns, Ejb3JoinColumn[] inverseColumns, Ejb3Column[] elementColumns, Ejb3Column[] mapKeyColumns, Ejb3JoinColumn[] mapKeyManyToManyColumns, boolean isEmbedded, org.hibernate.annotations.common.reflection.XProperty property, org.hibernate.annotations.common.reflection.XClass collType, boolean ignoreNotFound, boolean unique, TableBinder assocTableBinder, Mappings mappings)`
`void` | `setSort(Sort sortAnn)`
`void` | `setSqlOrderBy(OrderBy orderByAnn)`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder
`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, bindStarToManySecondPass, getCollection, getCollectionBinder, getMappings, isHibernateExtensionMapping, isMap, setAccessType, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setDeclaringClass, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInheritanceStatePerClass, setInsertable, setInverseJoinColumns, setIsHibernateExtensionMapping, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyHolder, setPropertyName, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListBinder

    public ListBinder()

Method Detail

### createCollection

    protected Collection createCollection(PersistentClass persistentClass)

  Specified by:
    `createCollection` in class `CollectionBinder`

### setSqlOrderBy

    public void setSqlOrderBy(OrderBy orderByAnn)

  Overrides:
    `setSqlOrderBy` in class `CollectionBinder`

### setSort

    public void setSort(Sort sortAnn)

  Overrides:
    `setSort` in class `CollectionBinder`

### getSecondPass

    public SecondPass getSecondPass(Ejb3JoinColumn[] fkJoinColumns,
                                    Ejb3JoinColumn[] keyColumns,
                                    Ejb3JoinColumn[] inverseColumns,
                                    Ejb3Column[] elementColumns,
                                    Ejb3Column[] mapKeyColumns,
                                    Ejb3JoinColumn[] mapKeyManyToManyColumns,
                                    boolean isEmbedded,
                                    org.hibernate.annotations.common.reflection.XProperty property,
                                    org.hibernate.annotations.common.reflection.XClass collType,
                                    boolean ignoreNotFound,
                                    boolean unique,
                                    TableBinder assocTableBinder,
                                    Mappings mappings)

  Overrides:
    `getSecondPass` in class `CollectionBinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.